/**
 * @file
 * details page.
 */

.details-img {
  margin: rem(-100) 0 rem(40);

  @include relative(z-index 1);

  img {
    -webkit-box-shadow: 0px 2px 20px -2px rgba($black, 0.46);
    -moz-box-shadow: 0px 2px 20px -2px rgba($black, 0.46);
    box-shadow: 0px 2px 20px -2px rgba($black, 0.46);

    @include border-radius(5px);
  }
}

.details-content {
  margin-bottom: rem(70);
  @include media-breakpoint-down(sm) {
    margin-bottom: rem(20);
  }

  [class*="col-"] {
    margin-bottom: rem(30);
  }
}

.product-content {
  &__inner {
    ul {
      list-style: none;
      padding-left: rem(20);
    }
    li {
      padding-left: rem(25);

      @include relative();

      &:before {
        content: "\f00c";
        color: $yellow;
        font-weight: 400;
        font-family: "Font Awesome 5 Pro";
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;

        @include absolute(left 0);
      }
    }
  }
}

.details-section {
  margin-bottom: rem(100);

  .row {
    @include media-breakpoint-down(md) {
      flex-direction: column-reverse;
    }
  }

  h5 {
    color: $blue;
    font-weight: 600;
    margin-bottom: rem(30);
    padding-bottom: rem(10);
    border-bottom: 2px solid $blue; 
  }

  .row {
    &:not(:last-child) {
      margin-bottom: rem(50);
      padding-bottom: rem(29);
      border-bottom: 1px solid #adadad4a;
    }
  }
}


.view-product-category {
  margin-bottom: rem(100);
  @include media-breakpoint-down(sm) {
    margin-bottom: rem(40);
  }
  .view-header {
    h5 {
      color: $blue;
      font-weight: 600;
      margin-bottom: rem(30);
      padding-bottom: rem(10);
      border-bottom: 2px solid $blue;
    }
  }
  .view-fields-wrapper {
    width: 100%;
    padding: rem(30) rem(10);
    background-color: $white;
    height: 100%;
    overflow: hidden;
    text-align: center;
    -webkit-box-shadow: 0px 2px 12px -2px rgba($black,0.46);
    -moz-box-shadow: 0px 2px 12px -2px rgba($black,0.46);
    box-shadow: 0px 2px 12px -2px rgba($black,0.46);
    @include border-radius(5px);
    @include relative;
  }
  .views-field-field-block-image {
    .field-content {
      width: 100%;
      height: 100%;
      @include absolute(left 0 top 0 z-index 0);
      &:before {
        content: '';
        background-color: rgba($black, 0.5);
        width: 100%;
        height: 100%;
        display: block;
        @include absolute(left 0 top 0 z-index 0);
      }
    }
    img {
      display: block;
      object-fit: cover;
      object-position: center;
      max-width: 100%;
      min-width: 100%;
      height: 100%;
    }
  }
  .views-field-name {
    @include relative(z-index 1);
    a {
      text-decoration: underline;
      color: $white;
      line-height: rem(25);
      text-transform: uppercase;
      font-weight: 600;
      padding: rem(20) rem(15) 0;
      display: block;
      margin-bottom: rem(8);
      min-height: rem(70);
      @include fontSize(18);
    }
  }
  .views-field-description__value {
    @include relative(z-index 1);
    p {
        color: $white;
        margin-bottom: rem(10);
        padding: 0 rem(15) rem(20);
        line-height: rem(25);
        @include fontSize(14);
    }
  }
}